%define tarname firmware-extractor

Summary:        Speedtouch firmware extractor
Name:           speedtouch-firmware-extractor
Version:        0.1
Release:        %mkrel 21
License:        GPLv2+
Group:          System/Kernel and hardware
Url:            http://www.linux-usb.org/SpeedTouch/firmware/index.html
Source0:        %{tarname}.tar.bz2

%description
This is a small application to prepare and install the firmware for a
SpeedTouch USB modem so that a 2.6.10 kernel (or later) can load the
firmware without the assistance of modem_run.

The firmware extractor splits the firmware file (old mgmt.o) in
smaller firmware files (stage1 and stage2) that are meant to be used
with hotplug firmware loading.

%prep
%setup -q -n %{tarname}

%build
gcc %{optflags} -o %{tarname} firmware.c

%install
install -D -m755 %{tarname} %{buildroot}%{_sbindir}/%{tarname}

%files
%doc README
%{_sbindir}/%{tarname}


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.1-21.mga10
+ Revision: 2195549
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 0.1-20.mga9
+ Revision: 1792354
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.1-19.mga8
+ Revision: 1517150
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1-18.mga7
+ Revision: 1301137
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 daviddavid <daviddavid> 0.1-17.mga7
+ Revision: 1162615
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Sat Mar 05 2016 blino <blino> 0.1-16.mga6
+ Revision: 986175
- rebuild for armv5tl on official BS nodes

* Fri Feb 05 2016 umeabot <umeabot> 0.1-15.mga6
+ Revision: 937476
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.1-14.mga6
+ Revision: 937029
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-13.mga5
+ Revision: 740143
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-12.mga5
+ Revision: 730173
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-11.mga5
+ Revision: 689280
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-10.mga4
+ Revision: 518571
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1-9.mga3
+ Revision: 382515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 09 2011 ahmad <ahmad> 0.1-8.mga2
+ Revision: 102319
- Drop the buildroot declaration
- Clean spec a bit

* Sun Mar 06 2011 ennael <ennael> 0.1-7.mga1
+ Revision: 65624
- imported package speedtouch-firmware-extractor


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2011.0
+ Revision: 607554
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-6mdv2010.1
+ Revision: 524118
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1-5mdv2010.0
+ Revision: 427206
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.1-4mdv2009.0
+ Revision: 225470
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2008.1
+ Revision: 179516
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Adam Williamson <awilliamson@mandriva.org> 0.1-2mdv2008.0
+ Revision: 39260
- rebuild for new era
- Import speedtouch-firmware-extractor



* Mon May 15 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdk
- initial Mandriva release
